<script setup>
import AuthenticatedLayout from "@/Layouts/AuthenticatedLayout.vue";
import { Head } from "@inertiajs/vue3";
import { ref } from "vue";
import Pagination from "@/Components/Pagination.vue";
import Filters from "@/Components/Form/SearchFilter.vue";
import AuthorList from "@/Components/AuthorList.vue";

defineProps({
    authors: Object,
    filters: Object,
});

const routes = ref({
    index: "authors.index",
    show: "authors.show",
    edit: "authors.edit",
    destroy: "authors.destroy",
});
</script>

<template>
    <Head title="Index" />

    <AuthenticatedLayout>
        <template #header>
            <h2
                class="font-semibold text-xl text-gray-800 dark:text-gray-200 leading-tight"
            >
                Author Index
            </h2>
        </template>
        <div
            class="relative overflow-x-auto shadow-md sm:rounded-lg mx-5 my-12"
        >
            <Filters :filters="filters" :searchRoute="routes.index" />
            <AuthorList :items="authors" :routes="routes" />

            <div
                v-if="authors.data.length"
                class="w-full flex justify-center my-8"
            >
                <Pagination :links="authors.meta.links" />
            </div>
        </div>
    </AuthenticatedLayout>
</template>
